# Unyson Framework [ ![Download](https://static.md/c1cea378c63f839fbede18687134423f.jpeg) ](https://github.com/ThemeFuse/Unyson/releases/latest)

[Unyson](http://unyson.io/) is a framework for [WordPress](http://wordpress.org/) that facilitates the development of a theme.

This framework was created from the ground up by the team behind [ThemeFuse](http://themefuse.com/) from the desire to empower developers to build outstanding WordPress themes fast and easy.

To get started, check out the [Scratch Theme](https://github.com/ThemeFuse/Scratch-Theme).

If you are not a developer, please use the [Unyson plugin page](https://wordpress.org/plugins/unyson/) on WordPress.org.

[![Build Status](https://travis-ci.org/ThemeFuse/Unyson.svg?branch=master)](https://travis-ci.org/ThemeFuse/Unyson)

## Table of contents

* [Installation](#installation)
* [Bug reports](#bug-reports)
* [Documentation](#documentation)
* [Copyright and license](#copyright-and-license)
* [Contributing to Unyson](#contributing)
* [Extensions](#extensions)

## Installation

1. [Download](https://github.com/ThemeFuse/Unyson/releases/latest) the latest stable release
2. Extract the archive to the `/wp-content/plugins/unyson/` directory
3. Activate the Unyson plugin through the 'Plugins' menu in WordPress
4. Configure the plugin by going to the Unyson menu that appears in your admin menu

## Bug reports

We strive to make Unyson Development  to be awesome and user friendly, though sometimes it's impossible to avoid bugs.
A bug means "something is broken" or is not working as it should.

In order to offer you an effective support and fix for an issue, please follow the below guidelines before submitting a bug report:

#### Explore Known Issues

Has your issue already been reported? Check the [Issues page](https://github.com/ThemeFuse/Unyson/issues).

If your issue has already been reported, great! It will be reviewed in an upcoming release.

#### Submitting a Bug Report

You can report the issue via [Issues page](https://github.com/ThemeFuse/Unyson/issues).
A good bug report includes full details to easily understand the issue you are having.

## Documentation

Unyson's documentation is available on http://manual.unyson.io/.

You can help us improve the documentation by contributing to this [Github repository](https://github.com/ThemeFuse/Unyson-Documentation).

## Copyright and license

Code and documentation copyright 2014 ThemeFuse LTD. Code released under [the GPL license](https://github.com/ThemeFuse/Unyson/blob/master/framework/LICENSE). Docs released under [Creative Commons](https://github.com/ThemeFuse/Unyson-Documentation/blob/master/LICENSE).

## Contributing

Developers can contribute to the source code. Please read our [contributor guidelines](https://github.com/ThemeFuse/Unyson/blob/master/CONTRIBUTING.md) for more information how you can do this.

Translators can contribute new languages to Unyson through [Transifex](https://www.transifex.com/projects/p/unyson/).

Theme developers can test the compatibility of their themes with new extensions updates before they are going to be released on [Unyson Extensions Approval](https://github.com/ThemeFuse/Unyson-Extensions-Approval).

## Extensions

If you have a bug report or feature request related to a specific extension, follow one of the links below:

* [Page Builder](https://github.com/ThemeFuse/Unyson-PageBuilder-Extension)
* [Shortcodes](https://github.com/ThemeFuse/Unyson-Shortcodes-Extension)
* [Mega Menu](https://github.com/ThemeFuse/Unyson-MegaMenu-Extension)
* [Sidebars](https://github.com/ThemeFuse/Unyson-Sidebars-Extension)
* [Sliders](https://github.com/ThemeFuse/Unyson-Sliders-Extension)
* [Portfolio](https://github.com/ThemeFuse/Unyson-Portfolio-Extension)
* [SEO](https://github.com/ThemeFuse/Unyson-SEO-Extension)
* [Forms](https://github.com/ThemeFuse/Unyson-Forms-Extension)
* [Styling](https://github.com/ThemeFuse/Unyson-Styling-Extension)
* [Feedback](https://github.com/ThemeFuse/Unyson-Feedback-Extension)
* [Backup](https://github.com/ThemeFuse/Unyson-Backup-Extension)
* [Breadcrumbs](https://github.com/ThemeFuse/Unyson-Breadcrumbs-Extension)
* [Learning](https://github.com/ThemeFuse/Unyson-Learning-Extension)
* [Events](https://github.com/ThemeFuse/Unyson-Events-Extension)
* [Translation](https://github.com/ThemeFuse/Unyson-Translation-Extension)
* [Update](https://github.com/ThemeFuse/Unyson-Update-Extension)
* [Analytics](https://github.com/ThemeFuse/Unyson-Analytics-Extension)
* [Builder](https://github.com/ThemeFuse/Unyson-Builder-Extension)
* [Mailer](https://github.com/ThemeFuse/Unyson-Mailer-Extension)
* [Social](https://github.com/ThemeFuse/Unyson-Social-Extension)
* [Population Methods](https://github.com/ThemeFuse/Unyson-PopulationMethods-Extension)
* [Blog Posts](https://github.com/ThemeFuse/Unyson-Blog-Extension)
